PETSc version 3.15.5
Fix/Edit manual page

# SNESHasNPC

Returns whether a nonlinear preconditioner exists

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESHasNPC(SNES snes, PetscBool *has_npc)

Not Collective

### Input Parameter

| snes | - iterative context obtained from SNESCreate()

### Output Parameter

| has_npc | - whether the SNES has an NPC or not

### See Also

SNESSetNPC(), SNESGetNPC()

### Level

developer

### Location

src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages